package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisTindakanMedis
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisTindakanMedis_M")
public class JenisTindakanMedisVO extends BaseMasterVO {
	@Caption(value="Jenis Tindakan Medis")
	private String jenisTindakanMedis;

	public void setJenisTindakanMedis(String jenisTindakanMedis) {
		this.jenisTindakanMedis = jenisTindakanMedis;
	}

	@Column(name = "JenisTindakanMedis", nullable = false , length = 30)
	public String getJenisTindakanMedis(){
		return this.jenisTindakanMedis;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@Caption(value="Kode Jenis Tindakan Medis")
	private String kdJenisTindakanMedis;

	public void setKdJenisTindakanMedis(String kdJenisTindakanMedis) {
		this.kdJenisTindakanMedis = kdJenisTindakanMedis;
	}

	@Column(name = "KdJenisTindakanMedis", nullable = false , length = 2)
	public String getKdJenisTindakanMedis(){
		return this.kdJenisTindakanMedis;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokTMFk")
	@NotNull(message="Object Kelompok T M Harus Diisi")
	@Caption(value="Object Kelompok T M")
	private KelompokTindakanMedisVO kelompokTM;

	public void setKelompokTM(KelompokTindakanMedisVO kelompokTM) {
		this.kelompokTM = kelompokTM;
	}

	@Column(name = "KdKelompokTM", nullable = false )
	public KelompokTindakanMedisVO getKelompokTM(){
		return this.kelompokTM;
	}

	@Column(name = "ObjectKelompokTMFk", insertable=false,updatable=false)
	private Integer kelompokTMId;

	@Caption(value="QJenis Tindakan Medis")
	private Byte qJenisTindakanMedis;

	public void setqJenisTindakanMedis(Byte qJenisTindakanMedis) {
		this.qJenisTindakanMedis = qJenisTindakanMedis;
	}

	@Column(name = "QJenisTindakanMedis", nullable = false )
	public Byte getqJenisTindakanMedis(){
		return this.qJenisTindakanMedis;
	}


}

